/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.faults.v2004_11;

import org.apache.ws.resource.v2004_11.WsrfConstants;

/**
 * Constants for namespaces defined by the 2004/11 version of the WSRF BaseFaults specification.
 */
public interface FaultsConstants
{

    /**
     * Namespace URI for WS-BaseFaults schema.
     */
    String NSURI_BASEFAULTS_SCHEMA = WsrfConstants.BASE_URI_WSRF + "wsrf-WS-BaseFaults-1.2-draft-03.xsd";

    /**
     * Namespace prefix for WS-BaseFaults schema.
     */
    String NSPREFIX_BASEFAULTS_SCHEMA = "wsrf-bf";

    /**
     * Namespace URI for WS-BaseFaults WSDL.
     */
    String NSURI_BASEFAULTS_WSDL = WsrfConstants.BASE_URI_WSRF + "wsrf-WS-BaseFaults-1.2-draft-03.wsdl";

    /**
     * Namespace prefix for WS-BaseFaults WSDL.
     */
    String NSPREFIX_BASEFAULTS_WSDL = "wsrf-bfw";

}