package org.apache.ws.resource.lifetime;

import java.util.Calendar;

/**
 * Interface describing a TerminationNotification of a resource.
 *
 * @author Sal Campana
 */
public interface ResourceTerminationEvent
{
    /**
     * Returns the termination time.
     *
     * minOccurs="1" maxOccurs="1" nillable="true"
     *
     * @return The termination time represented as a Calendar instance.
     */
    Calendar getTerminationTime();

    /**
     * Returns the reason for temrination.
     *
     * minOccurs="0" maxOccurs="1"
     *
     * @return The reason for termination.
     */
    Object getReason();

}
